package com.cloudcross.ssp.model;

import com.cloudcross.ssp.web.widget.SelectorController.ISelector;

/**
 * 媒体运营商实体类！对应t_operator表
 * @author CloudCross
 *
 */
public class Operator implements ISelector{
	private Long id;
	private String companyName;
	private String linkMan;
	private String tel;
	private String mobile;
	private String homePage;
	private String account;
	private String accountName;
	private String bank;
	private Integer status;
	private Long adminId;//是相应的管理员账号的关联的t_account.id
	private String address;
	private String zip;
	private String email;
	
	public String getHomePage() {
		return homePage;
	}
	public void setHomePage(String homePage) {
		this.homePage = homePage;
	}
	public String getMobile() {
		return mobile;
	}
	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getZip() {
		return zip;
	}
	public void setZip(String zip) {
		this.zip = zip;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public Long getAdminId() {
		return adminId;
	}
	public void setAdminId(Long adminId) {
		this.adminId = adminId;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getCompanyName() {
		return companyName;
	}
	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}
	public String getLinkMan() {
		return linkMan;
	}
	public void setLinkMan(String linkMan) {
		this.linkMan = linkMan;
	}
	public String getTel() {
		return tel;
	}
	public void setTel(String tel) {
		this.tel = tel;
	}
	public String getAccount() {
		return account;
	}
	public void setAccount(String account) {
		this.account = account;
	}
	public String getAccountName() {
		return accountName;
	}
	public void setAccountName(String accountName) {
		this.accountName = accountName;
	}
	public String getBank() {
		return bank;
	}
	public void setBank(String bank) {
		this.bank = bank;
	}
	
	
	@Override
	public String toString() {
		return "Operator [id=" + id + ", companyName=" + companyName
				+ ", linkMan=" + linkMan + ", tel=" + tel + ", mobile="
				+ mobile + ", account=" + account + ", accountName="
				+ accountName + ", bank=" + bank + ", status=" + status
				+ ", adminId=" + adminId + ", address=" + address + ", zip="
				+ zip + ", email=" + email + "]";
	}
	@Override
	public String getLabel() {
		// TODO Auto-generated method stub
		return this.companyName;
	}
	@Override
	public String getValue() {
		// TODO Auto-generated method stub
		return String.valueOf(this.id);
	}
}
